package org.dromara.payment.merchant.service;

import org.dromara.payment.merchant.domain.VMerchantBill;
import org.dromara.payment.merchant.domain.vo.VMerchantBillVo;
import org.dromara.payment.merchant.domain.bo.VMerchantBillBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 商户账单汇总表Service接口
 *
 * @author LionLi
 * @date 2024-04-03
 */
public interface IVMerchantBillService {

    /**
     * 查询商户账单汇总表
     */
    VMerchantBillVo queryById(Long merId);

    /**
     * 查询商户账单汇总表列表
     */
    TableDataInfo<VMerchantBillVo> queryPageList(VMerchantBillBo bo, PageQuery pageQuery);

    /**
     * 查询商户账单汇总表列表
     */
    List<VMerchantBillVo> queryList(VMerchantBillBo bo);

    /**
     * 新增商户账单汇总表
     */
    Boolean insertByBo(VMerchantBillBo bo);

    /**
     * 修改商户账单汇总表
     */
    Boolean updateByBo(VMerchantBillBo bo);

    /**
     * 校验并批量删除商户账单汇总表信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
